Subject: Re: termcap interface code
From: [email-masked] (David Coe)

13 Aug 1997 04:14:07 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: multipart/mixed; boundary="------------332E172E7D36"
X-Mailer: Mozilla 3.01Gold (WinNT; I)
Original-To: Justin Hopkins <[email-masked]>
Original-CC: [email-masked]
Original-Sender: [email-masked]

This is a multi-part message in MIME format.

--------------332E172E7D36
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

Justin Hopkins wrote:
> 
> Hi, I'm trying to compile texinfo 3.9 and I'm getting some
> undefined references at link-time. These are the functions:
> 
> extern int tgetnum (), tgetflag (), tgetent ();
> extern char *tgetstr (), *tgoto ();
> extern char *getenv ();
> extern void tputs ();
> 
> The comment nearby says these are Unix termcap interface code,
> so does anyone know where I can get these? Or if they're
> already in the cygwin32 b18 distribution..?

You need to install termcap-1.3 first (small patch attached). Both then
come up without problems with ./configure; make.

Best wishes

-- 
Dr David Coe			     \=\
58 Fairlawn Drive, East Grinstead     \=\   Tel +44 1342 326860
West Sussex, RH19 1NT, United Kingdom  \=\  Fax +44 1342 316019

--------------332E172E7D36
Content-Type: text/plain; charset=us-ascii; name="termcap-1.3.patch"
Content-Transfer-Encoding: 7bit
Content-Disposition: inline; filename="termcap-1.3.patch"

*** tparam.c.orig	Wed Jul 26 19:22:51 1995
--- tparam.c	Tue Jul 08 06:57:22 1997
***************
*** 20,35 ****
  #include <config.h>
  #else /* not HAVE_CONFIG_H */
  
- #if defined(HAVE_STRING_H) || defined(STDC_HEADERS)
- #define bcopy(s, d, n) memcpy ((d), (s), (n))
- #endif
- 
  #ifdef STDC_HEADERS
  #include <stdlib.h>
  #include <string.h>
  #else
  char *malloc ();
  char *realloc ();
  #endif
  
  #endif /* not HAVE_CONFIG_H */
--- 20,36 ----
  #include <config.h>
  #else /* not HAVE_CONFIG_H */
  
  #ifdef STDC_HEADERS
  #include <stdlib.h>
  #include <string.h>
  #else
  char *malloc ();
  char *realloc ();
+ #endif
+ 
+ /* Do this after the include, in case string.h prototypes bcopy.  */
+ #if defined(HAVE_STRING_H) || defined(STDC_HEADERS) && !defined(bcopy)
+ #define bcopy(s, d, n) memcpy ((d), (s), (n))
  #endif
  
  #endif /* not HAVE_CONFIG_H */

--------------332E172E7D36--

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".